# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/himax,hx83112a.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Himax HX83112A-based DSI display panels

maintainers:
  - Luca Weiss <luca.weiss@fairphone.com>

description:
  The Himax HX83112A is a generic DSI Panel IC used to control
  LCD panels.

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    contains:
      const: djn,9a-3r063-1102b

  vdd1-supply:
    description: Digital voltage rail

  vsn-supply:
    description: Positive source voltage rail

  vsp-supply:
    description: Negative source voltage rail

  reg: true
  port: true

required:
  - compatible
  - reg
  - reset-gpios
  - vdd1-supply
  - vsn-supply
  - vsp-supply
  - port

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    dsi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel@0 {
            compatible = "djn,9a-3r063-1102b";
            reg = <0>;

            backlight = <&pm6150l_wled>;
            reset-gpios = <&pm6150l_gpios 9 GPIO_ACTIVE_LOW>;

            vdd1-supply = <&vreg_l1e>;
            vsn-supply = <&pm6150l_lcdb_ncp>;
            vsp-supply = <&pm6150l_lcdb_ldo>;

            port {
                panel_in_0: endpoint {
                    remote-endpoint = <&dsi0_out>;
                };
            };
        };
    };

...
